Package com.xebialabs.xlrelease.api.v1.forms

# Enum Class VersionFilters

java.lang.Object
java.lang.Enum<VersionFilters>
com.xebialabs.xlrelease.api.v1.forms.VersionFilters

All Implemented Interfaces:
  `Serializable`, `Comparable<VersionFilters>`, `Constable`

public enum VersionFilters extends Enum<VersionFilters>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `ALPHA_VERSION`
  `BETA_VERSION`
  `CUSTOM_VERSION`
  `MAJOR_VERSION`
  `MINOR_VERSION`
  `PATCH_VERSION`
  `RC_VERSION`
  `SNAPSHOT_VERSION`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final VersionFilters`
  `DEFAULT_VERSION_FILTER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VersionFilters`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VersionFilters[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final VersionFilters ALL

  - ### MAJOR_VERSION

    public static final VersionFilters MAJOR_VERSION

  - ### MINOR_VERSION

    public static final VersionFilters MINOR_VERSION

  - ### PATCH_VERSION

    public static final VersionFilters PATCH_VERSION

  - ### ALPHA_VERSION

    public static final VersionFilters ALPHA_VERSION

  - ### BETA_VERSION

    public static final VersionFilters BETA_VERSION

  - ### RC_VERSION

    public static final VersionFilters RC_VERSION

  - ### SNAPSHOT_VERSION

    public static final VersionFilters SNAPSHOT_VERSION

  - ### CUSTOM_VERSION

    public static final VersionFilters CUSTOM_VERSION

- ## Field Details

  - ### DEFAULT_VERSION_FILTER

    public static final VersionFilters DEFAULT_VERSION_FILTER

- ## Method Details

  - ### values

    public static VersionFilters[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VersionFilters valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null